Download customer consent history report
1 min
POST
https://api.upstartcommerce.com/v1/customer/consent/history/download
Body Parameters
- bodyCustomerConsentHistoryReportRequestrequiredDescription
- customerIdstring<uuid>Formatuuid
- categoryIdstringExample
- fromstring<date-time>requiredFormatdate-time
- tostring<date-time>requiredFormatdate-time
Responses
200
400
- ValidationErrorResponse[]Description
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
401
- UnauthorizedErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
403
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
405
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
415
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
422
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
423
- ValidationErrorResponse[]Description
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
500
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request POST \
--url https://api.upstartcommerce.com/v1/customer/consent/history/download \
--header 'accept: text/csv' \
--header 'content-type: application/json' \
--data '{
"from": "",
"to": ""
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "text/csv");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"from": "",
"to": ""
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/customer/consent/history/download", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/customer/consent/history/download")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "text/csv"
request["content-type"] = "application/json"
request.body = JSON.dump({
"from": "",
"to": ""
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/customer/consent/history/download"
payload = json.dumps({
"from": "",
"to": ""
})
headers = {
'accept': 'text/csv',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// CSV file with customer consent history
400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
[
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}
]401
// The provided credentials were not valid for this endpoint.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}403
// User's roles are insufficient for this endpoint.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}405
// This is to indicate that the server has received a request with an HTTP method that is not supported for the requested resource.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}415
// This is to indicate that the server cannot process the request because the media type of the request entity is not supported or not recognized by the server.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}422
// This is to indicate that the server understands the content type of the request entity, and the syntax of the request entity is correct, but it was unable to process the contained instructions.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}423
// Consent Management is disabled or locked for the tenant, so consent operations are not allowed.
[
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}
]500
// There was an internal server error.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}